import { flags } from "@oclif/command";
import { ConnDetails } from "./connections";
import { ADTClient } from "abap-adt-api";
export declare const PASSWORDFLAG: {
    password: flags.IOptionFlag<string>;
};
export declare const RECURSIVEFLAG: {
    recursive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
};
export declare const TRANSPORT: {
    transport: flags.IOptionFlag<string>;
};
export declare const COMMONFLAGS: {
    recursive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    password: flags.IOptionFlag<string>;
};
export declare const ALLCOMMONFLAGS: {
    transport: flags.IOptionFlag<string>;
    recursive: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    password: flags.IOptionFlag<string>;
};
export declare const COMMONARGS: {
    name: string;
    required: boolean;
    description: string;
}[];
export declare function getClient(conn: ConnDetails, password: string): Promise<ADTClient>;
